Bug 17016 - copy of stage2 fails durning upgrade
Summary: copy of stage2 fails durning upgrade
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-27 23:33 UTC by Curtis Doty
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-29 16:12:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Curtis Doty 2000-08-27 23:33:51 UTC
Upgrade to pinstripe dies during copy of stage2 image when there is 
insuficient room in /. It leaves the incomplete image /rhinstall-
stage2.img behind on the full partition.

Appeared on system with only 64MB root partition (stage2.img is >80MB).

Install could chek for free space first. Or better yet, try to copy to 
different partition such as /tmp.

Comment 1 Curtis Doty 2000-08-28 01:35:32 UTC
Worked-around by (before upgrade) creating a symlink /rhinstall-stage2.img that 
points elsewhere with enough free space. The installer seemed to follow the 
symlink with the image pre-copy.


Comment 2 Michael Fulbright 2000-08-29 16:12:27 UTC
Fixed in internal development tree.


Note You need to log in before you can comment on or make changes to this bug.